/*
  Generador de losa height_field (height_field slab generator)
  *
  Jaime Vives Piqueres, ?(C), 1999.
*/

#version 3.0
global_settings { assumed_gamma 2.2 hf_gray_16 }
#include "colors.inc"
#include "textures.inc"

union{
 superellipsoid{
  <.025,.025>
  rotate -90*x
  scale .98
  scale <2.91,2.17,1>
 }
 plane{z,0}
 texture{
  gradient z
  texture_map{
   [0 pigment{Gray10} finish{ambient 1 diffuse 0}]
   [0.7 pigment{Gray10} finish{ambient 1 diffuse 0}]
   [1
      pigment{
       bumps
       turbulence 0.1
       color_map{
        [0 White*.9]
        [1 White]
       }
       scale 6
      }
      finish{ambient 1 diffuse 0}
    ]
  }
  translate 100*clock*x
  translate -.01*z
 }
 translate <-.02,-.01,4.5>
}

box{ <-.96,-.96,-.001>,<.96,.96,.001>
 scale <2.91,2.17,1>
 texture{
   pigment{
    crackle
    turbulence 0.3
    color_map{
     [0.0 White*.8]
     [0.05 White*.8]
     [0.1 Clear]
     [1.0 Clear]
    }
    scale .05
   }
   finish{ambient 1 diffuse 0}
   translate 100*clock*x
 }
 translate <-.02,-.01,3.5>
}
box{ <-.94,-.94,-.001>,<.94,.94,.001>
 scale <2.91,2.17,1>
 texture{
   pigment{
    quilted
    turbulence 0.6
    color_map{
     [0.0 White*.7 filter 0.75]
     [0.1 White*.8 filter 0.75]
     [1.0 Clear]
    }
    scale 2
   }
   finish{ambient 1 diffuse 0}
   translate 100*clock*x
 }
 translate <-.02,-.01,3.4>
}

camera{
 location <0.01,-0.01,-.8>
 look_at <-.001,0.01,5>
}

