/*
  Generador de madera height_field (Height_field wood generator)
  *
  Jaime Vives Piqueres, ?(C), 1999.
*/

#version 3.0;
//global_settings { assumed_gamma 2.2 hf_gray_16 }
#include "colors.inc"
#include "textures.inc"

#declare r_wood=seed((clock+1)*10);

#declare old_wood=
 texture{
  pigment{
   wood
   turbulence <0.05, 0.1, .2>
   octaves 5
   lambda 4
   color_map{
    [0.00 White*.7]
    [0.05 White*.7]
    [0.10 White]
    [0.15 White]
    [0.20 White*.7]
    [0.25 White*.6]
    [0.30 White]
    [0.35 White]
    [0.40 White*.7]
    [0.45 White*.7]
    [0.50 White]
    [0.55 White]
    [0.60 White*.8]
    [0.65 White*.7]
    [0.70 White]
    [0.80 White]
    [0.85 White*.6]
    [0.90 White*.7]
    [0.95 White]
    [1 White*.8]
   }
   warp {
    black_hole <0, 0, 0>, 1
    falloff 1
    strength 1.1
    turbulence <0.5, 0, 0.5>
    repeat <1,0,1>
    inverse
   }
  }
  finish{ambient 1 diffuse 0}
 }


plane{
 z,0
 texture{old_wood
  rotate -90*x
  scale <1,3,1>
  translate 100*rand(r_wood)*x
  translate 100*rand(r_wood)*y
 }
}

camera{
 location <0.01,-0.01,-10>
 right 6/3
 direction 3*z
 look_at <-.001,0.01,5>
 rotate 90*z
}

